# Problme soumis par G. Lambert
# Code soumis par G. Lambert modifi par C. Roy
# J'ai restreint la base de donnes aux 150 premires observations (C.Roy)
#
#                            Instructions
#_______________________________________________________________________________
#pour les "nouveaux" vous allez devoir installer les packages avant de les appeler
#Pour installer des Packages directement dans R tapez:
# (Alt-P)
# I
# Choisissez votre miroir s'il n'est pas install par dfaut (QC1 ou QC2 devrait marcher)
# Choisissiez le package que vous voulez installer dans la liste

#For englisdh people: You'll need to install the package that are called below first
#To install packages press:
# (Alt-P)
# I
#Choose your miror if necessary
#Choose the package you want to install
#
#                          Set working drive
#_______________________________________________________________________________
setwd("C:\\Documents and Settings\\chroy203\\Bureau\\PleinR")  #Change work drive if necessary
#
#                          Call packages
#_______________________________________________________________________________
library(zoo)  
library(base)
library(emdbook)
library(bbmle)
library(chron)
#
#                          Import File
#_______________________________________________________________________________
F2002.95HO=read.table("2002.95HO.150.txt",header=T)     #Change file name if necessary
#
#                         Manipulates data
#_______________________________________________________________________________
yearday=strptime(F2002.95HO[,1],format="%y-%j")
F2002.95<-data.frame(cbind(F2002.95HO,yearday)) #ici j'ai ajout une autre ligne de date pour pouvoir associer    #hour  yearday et hour1  yearday.1.....^c peut-tre pas ncessaire
yearday.1=strptime(F2002.95[,6],format="%Y-%m-%d")
F2002.95H <- cbind(F2002.95,yearday.1)[, c(1, 2, 6,3,4,5)]        #pour mettre yearday.1  la 3e colonnes
yearday=strptime(F2002.95H[,1],format="%y-%j")              #redfinir chaque colonne de mon nouveau dataframe
hour=strptime(F2002.95H[,2],format="%H:%M")
yearday.1=strptime(F2002.95H[,3],format="%Y-%m-%d")
hour1=strptime(F2002.95H[,4], format="%H:%M")
dif=strptime(F2002.95H[,5],format="%M")
dif.1=strptime(F2002.95H[,6],format="%M")
yhour<-paste(yearday,hour)  #pour mettre mes donnes ensemble, #mais ya encore la date d'auj qui apparait

#Donc si j'ai ce code et que je tape hour ou hour1 juste pour voir mes donnes elles sont associes  la date d'auj...